evaluate.info.profile
Prev | Common » Base Template Reference | Next

## evaluate.info.profile

evaluate.info.profile — Evaluates an info profile

## Synopsis

    <xsl:template name="evaluate.info.profile">
    <xsl:param name="profile"/>
    <xsl:param name="info"/>
      ...
    </xsl:template>

## Description

This template evaluates an "info profile" matching the XPath expression given by the `profile` parameter. It relies on the XSLT `evaluate()` extension function.

The value of the `profile` parameter can include the literal string `$info`. If found in the value of the `profile` parameter, the literal string `$info` string is replaced with the value of the `info` parameter, which should be a set of `*info` nodes; the expression is then evaluated using the XSLT `evaluate()` extension function.

## Parameters

profile

  A string representing an XPath expression

info

  A set of *info nodes

## Returns

Returns a node (the result of evaluating the `profile` parameter)

Prev | Up | Next
select.choice.separator | Home | graphic.format.content-type